Bug 93688 - String ref syntax incorrect for new documents and in UI
Summary: String ref syntax incorrect for new documents and in UI
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.1.0 target:5.0.4
Keywords:
Depends on: 92256
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 16:58 UTC by Katarina Behrens (CIB)
Modified: 2016-10-25 19:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Katarina Behrens (CIB) 2015-08-26 16:58:23 UTC
This is a spin-off of bug 92256, the implementation of requirements specified therein went 1 bridge too far, in a sense that CalcA1 | ExcelA1 syntax is used not only for imported documents whose string ref syntax is unknown, but also for the new documents. There are two aspects of that issue now:

1. Opening an existing document that *doesn't* have string ref syntax property,  UI (Tools -> Options -> Calc -> Formula -> Detailed calculation settings) shows string ref syntax from user's prefs and not "CalcA1 | ExcelA1" as it should b/c this is how Calc interpreter really behaves in such case (string ref syntax unknown during import)

2. For a new document, string ref syntax as specified in user's prefs should be used. Instead (and incorrectly so) "CalcA1 | ExcelA1" is.
Comment 1 Buovjaga 2015-09-12 15:09:47 UTC
I believe you so I'll set to NEW.
Comment 2 Commit Notification 2015-10-01 12:16:50 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ff422a93f945a1d0ee52621495fbc7a58e3daac4

tdf#93688: Set CalcA1|ExcelA1 syntax only for imported docs

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-10-12 12:07:31 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a54f0d6c980b880854458b7c685c04632acf91ac&h=libreoffice-5-0

tdf#93688: Set CalcA1|ExcelA1 syntax only for imported docs

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-10-12 13:12:01 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=24d745ea31ec49609a22d1395e6ba340c890936d

Related tdf#93688: better place this into import finalize phase

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-10-12 16:39:59 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7379e48298c623ae5e45c6a176386f335b1ff1b2

Related tdf#93688: save CalcA1|ExcelA1 also as a global option

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.